onEvent('jei.hide.items', event => {
    //Minecraft
    event.hide('minecraft:lead')
    //Apotheosis
    event.hide('apotheosis:farmers_leash')
    event.hide(Item.of('apotheosis:farmers_leash', '{entity_data:{},Damage:0}'))
    //Cyclic
    event.hide('cyclic:magic_net')
    event.hide('cyclic:tile_transporter_empty')
    event.hide('cyclic:stirrups_reverse')
    event.hide('cyclic:stirrups')
    //Mystical Agriculture
    event.hide('mysticalagriculture:iridium_seeds')
    event.hide('mysticalagriculture:refined_obsidian_seeds')
    event.hide('mysticalagriculture:refined_glowstone_seeds')
    event.hide('mysticalagriculture:chrome_seeds')
    event.hide('mysticalagriculture:titanium_seeds')
    event.hide('mysticalagriculture:tungsten_seeds')
    event.hide('mysticalagriculture:mithril_seeds')
    event.hide('mysticalagriculture:invar_seeds')
    event.hide('mysticalagriculture:electrum_seeds')
    event.hide('mysticalagriculture:constantan_seeds')
    event.hide('mysticalagriculture:nickel_seeds')
    event.hide('mysticalagriculture:steel_seeds')
    event.hide('mysticalagriculture:quartz_enriched_iron_seeds')
    event.hide('mysticalagriculture:graphite_seeds')
    event.hide('mysticalagriculture:brass_seeds')
    event.hide('mysticalagriculture:zinc_seeds')
    event.hide('mysticalagriculture:bronze_seeds')
    event.hide('mysticalagriculture:apatite_seeds')
    event.hide('mysticalagriculture:saltpeter_seeds')
    event.hide('mysticalagriculture:silicon_seeds')
    event.hide('mysticalagriculture:rubber_seeds')
    event.hide('mysticalagriculture:iridium_essence')
    event.hide('mysticalagriculture:refined_obsidian_essence')
    event.hide('mysticalagriculture:refined_glowstone_essence')
    event.hide('mysticalagriculture:chrome_essence')
    event.hide('mysticalagriculture:titanium_essence')
    event.hide('mysticalagriculture:tungsten_essence')
    event.hide('mysticalagriculture:mithril_essence')
    event.hide('mysticalagriculture:invar_essence')
    event.hide('mysticalagriculture:electrum_essence')
    event.hide('mysticalagriculture:constantan_essence')
    event.hide('mysticalagriculture:nickel_essence')
    event.hide('mysticalagriculture:steel_essence')
    event.hide('mysticalagriculture:quartz_enriched_iron_essence')
    event.hide('mysticalagriculture:graphite_essence')
    event.hide('mysticalagriculture:brass_essence')
    event.hide('mysticalagriculture:zinc_essence')
    event.hide('mysticalagriculture:bronze_essence')
    event.hide('mysticalagriculture:apatite_essence')
    event.hide('mysticalagriculture:saltpeter_essence')
    event.hide('mysticalagriculture:silicon_essence')
    event.hide('mysticalagriculture:rubber_essence')
    event.hide('mysticalagriculture:soulium_dagger')
    event.hide('mysticalagriculture:passive_soulium_dagger')
    event.hide('mysticalagriculture:hostile_soulium_dagger')
    event.hide('mysticalagriculture:creative_soulium_dagger')
    event.hide('mysticalagriculture:soul_extractor')
    event.hide('mysticalagriculture:soul_jar')
    event.hide('mysticalagriculture:experience_capsule')
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:pig",Souls:8.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:chicken",Souls:8.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:cow",Souls:8.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:sheep",Souls:8.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:squid",Souls:6.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:fish",Souls:6.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:slime",Souls:12.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:turtle",Souls:6.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:zombie",Souls:10.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:skeleton",Souls:10.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:creeper",Souls:10.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:spider",Souls:10.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:rabbit",Souls:6.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:blaze",Souls:10.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:ghast",Souls:4.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:enderman",Souls:8.0d}'))
    event.hide(Item.of('mysticalagriculture:soul_jar', '{Type:"mysticalagriculture:wither_skeleton",Souls:8.0d}'))
    //Draconic Evolution
    event.hide('draconicevolution:grinder')
    event.hide('draconicevolution:stabilized_spawner')
    event.hide('draconicevolution:mob_soul')
    //Extra Disks
    event.hide('extradisks:advanced_machine_casing')
    event.hide('extradisks:advanced_storage_housing')
    event.hide('extradisks:256k_storage_block')
    event.hide('extradisks:256k_storage_part')
    event.hide('extradisks:256k_storage_disk')
    event.hide('extradisks:1024k_storage_block')
    event.hide('extradisks:1024k_storage_part')
    event.hide('extradisks:1024k_storage_disk')
    event.hide('extradisks:4096k_storage_block')
    event.hide('extradisks:4096k_storage_part')
    event.hide('extradisks:4096k_storage_disk')
    event.hide('extradisks:16384k_storage_block')
    event.hide('extradisks:16384k_storage_part')
    event.hide('extradisks:16384k_storage_disk')
    event.hide('extradisks:65536k_storage_block')
    event.hide('extradisks:65536k_storage_part')
    event.hide('extradisks:65536k_storage_disk')
    event.hide('extradisks:262144k_storage_block')
    event.hide('extradisks:262144k_storage_part')
    event.hide('extradisks:262144k_storage_disk')
    event.hide('extradisks:1048576k_storage_block')
    event.hide('extradisks:1048576k_storage_part')
    event.hide('extradisks:1048576k_storage_disk')
    event.hide('extradisks:infinite_storage_block')
    event.hide('extradisks:infinite_storage_part')
    event.hide('extradisks:infinite_storage_disk')
    event.hide('extradisks:16384k_fluid_storage_block')
    event.hide('extradisks:16384k_fluid_storage_part')
    event.hide('extradisks:16384k_fluid_storage_disk')
    event.hide('extradisks:65536k_fluid_storage_block')
    event.hide('extradisks:65536k_fluid_storage_part')
    event.hide('extradisks:65536k_fluid_storage_disk')
    event.hide('extradisks:262144k_fluid_storage_block')
    event.hide('extradisks:262144k_fluid_storage_part')
    event.hide('extradisks:262144k_fluid_storage_disk')
    event.hide('extradisks:1048576k_fluid_storage_block')
    event.hide('extradisks:1048576k_fluid_storage_part')
    event.hide('extradisks:1048576k_fluid_storage_disk')
    event.hide('extradisks:infinite_fluid_storage_block')
    event.hide('extradisks:infinite_fluid_storage_part')
    event.hide('extradisks:infinite_fluid_storage_disk')
    //Extra Storage
    event.hide('extrastorage:advanced_importer')
    event.hide('extrastorage:advanced_exporter')
    //Mekanism
    event.hide('mekanism:upgrade_anchor')
  })
  